Bug 788750 - nisDomain schema is incorrect, causes errors upon upgrade
Summary: nisDomain schema is incorrect, causes errors upon upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-08 23:05 UTC by Rich Megginson
Modified: 2012-06-20 07:14 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.2.10.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Restarting directory server after an upgrade. Consequence: See error messages like this: attr_syntax_create - Error: the EQUALITY matching rule [caseIgnoreMatch] is not compatible with the syntax [1.3.6.1.4.1.1466.115.121.1.26] for the attribute [nisDomain] Fix: Use the latest version of the nisDomain schema. Result: Restarting directory server after an upgrade should not show any errors.
Clone Of:
Environment:
Last Closed: 2012-06-20 07:14:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0813 normal SHIPPED_LIVE Low: 389-ds-base security, bug fix, and enhancement update 2012-06-19 19:29:15 UTC

Description Rich Megginson 2012-02-08 23:05:59 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/38

https://bugzilla.redhat.com/show_bug.cgi?id=720480

{{{
Description of problem:

Upgrading from 1.2.6 to 1.2.8 leads to the following errors on service startup:

[08/Jul/2011:15:48:39 -0700] attr_syntax_create - Error: the EQUALITY matching
rule [caseIgnoreMatch] is not compatible with the syntax
[1.3.6.1.4.1.1466.115.121.1.26] for the attribute [nisDomain]
[08/Jul/2011:15:48:39 -0700] attr_syntax_create - Error: the SUBSTR matching
rule [caseIgnoreSubstringsMatch] is not compatible with the syntax
[1.3.6.1.4.1.1466.115.121.1.26] for the attribute [nisDomain]

Fix: 60nis.ldif should be updated as follows:

attributeTypes: (
  1.3.6.1.4.1.1.1.1.12
  NAME 'nisDomain'
  DESC 'NIS domain'
  SUP name
  EQUALITY caseIgnoreIA5Match
  SUBSTR caseIgnoreIA5SubstringsMatch
  SYNTAX 1.3.6.1.4.1.1466.115.121.1.26
  )

I was told to report this bug by richm1 from #389 on freenode.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Install 1.2.6
2.  Notice that there are no errors on startup
3.  Upgrade to 1.2.8
4.  Notice that there are errors on startup

Actual results:

Service does not start up without errors.

Expected results:

Service should start up without errors.

Additional info:
}}}

Comment 2 Rich Megginson 2012-04-16 20:25:58 UTC
steps to reproduce:
upgrade from RHEL 6.2 to RHEL 6.3 389-ds-base - verify that the server starts correctly with no schema errors

Comment 3 Amita Sharma 2012-05-14 08:44:18 UTC
Upgrade Testing was fine, no error seen.

Comment 4 Rich Megginson 2012-05-24 23:38:07 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Restarting directory server after an upgrade.
Consequence: See error messages like this:
attr_syntax_create - Error: the EQUALITY matching
rule [caseIgnoreMatch] is not compatible with the syntax
[1.3.6.1.4.1.1466.115.121.1.26] for the attribute [nisDomain]
Fix: Use the latest version of the nisDomain schema.
Result: Restarting directory server after an upgrade should not show any errors.

Comment 5 errata-xmlrpc 2012-06-20 07:14:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0813.html


Note You need to log in before you can comment on or make changes to this bug.